#include "ColorItem.h"

ColorItem::ColorItem(QTable *table, int row, int col, QColor & color):QTableItem(table,Never,QString()),cellColor(color)
{
   QPixmap pixmap;
   pixmap.resize(table->columnWidth(col),table->rowHeight(row));
   pixmap.fill(color);
   setPixmap(pixmap);
}
ColorItem::~ColorItem(){};

QColor &ColorItem::color(){return cellColor;}

QColor &ColorItem::setColor(QColor &_color){cellColor=_color;}